# H501_Message Class Reference

`#include <h501.h>`

Inheritance diagram for H501_Message:

List of all members.

## Public Member Functions

| H501_Message (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_MessageBody | m_body
H501_MessageCommonInfo | m_common

## Constructor & Destructor Documentation

H501_Message::H501_Message | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_Message::GetDataLength | ( |  | ) | const

PBoolean H501_Message::Decode | ( | PASN_Stream & | strm | ) |

void H501_Message::Encode | ( | PASN_Stream & | strm | ) | const

void H501_Message::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_Message::Compare | ( | const PObject & | obj | ) | const

PObject* H501_Message::Clone | ( |  | ) | const

Reimplemented in H501PDU.

## Member Data Documentation

H501_MessageBody H501_Message::m_body

H501_MessageCommonInfo H501_Message::m_common

The documentation for this class was generated from the following file:

- h501.h